Get Branch
curl --request GET \
--url https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/branches/{branchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/branches/{branchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/branches/{branchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branch": {
"id": 51234,
"name": "refs/heads/main"
}
}Projects
Get Branch
Get a branch by its ID.
GET
/
api
/
v2
/
deployments
/
{deploymentId}
/
projects
/
{projectId}
/
branches
/
{branchId}
Get Branch
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Your deployment ID.
The unique identifier for the project.
Example:
555
The branch id
Example:
51234
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I